Concept
MutableBidirectionalIteratorConcept
A Bidirectional Iterator that allows dereferenced assignment

CopyConstructibleConcept | EqualityComparableConcept | IteratorAssociatedTypesConcept

DefaultConstructibleConcept | InputIteratorConcept

ForwardIteratorConcept

MutableBidirectionalIteratorConcept

MutableRootedRandomAccessIteratorConcept

Concept Definition
Refines
ForwardIteratorConcept
Required Metafunctions

Difference | Type of an object that stores the difference between two iterators. (IteratorAssociatedTypesConcept)
GetValue | Type for reading values. (IteratorAssociatedTypesConcept)
Pointer | Returns pointer to an object, required for operator->, for example. (IteratorAssociatedTypesConcept)
Reference | Reference type. (IteratorAssociatedTypesConcept)
Value | Type of the items in the container or behind an iterator. (IteratorAssociatedTypesConcept)

Required Functions

goNext | Iterates to next position. (ForwardIteratorConcept)
operator* | C++ built-in multiplication operator. (InputIteratorConcept)
operator++ (prefix) | C++ built-in prefix increment operator. (InputIteratorConcept)
operator++ (suffix) | C++ built-in suffix increment operator. (InputIteratorConcept)
operator-> | C++ built-in structure dereference operator. (InputIteratorConcept)

Refinements

MutableRootedRandomAccessIteratorConcept | A Rooted Iterator that allows dereferenced assignment.

MutableBidirectionalIteratorConcept<T>
Include Headers
seqan/basic.h
Used By Function
getValue, value, goNext
Functions

getValue | Access to the value. (IteratorAssociatedTypesConcept)
goNext | Iterates to next position. (ForwardIteratorConcept)
value | Reference to the value. (IteratorAssociatedTypesConcept)

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:57